[release-notes/gnome-2-32] Build infrastructure
- From: Frederic Peters <fpeters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [release-notes/gnome-2-32] Build infrastructure
- Date: Mon, 27 Sep 2010 20:00:07 +0000 (UTC)
commit f186f4eae35de5d28bbc52f53d93214c380fe345
Author: Frédéric Péters <fpeters 0d be>
Date: Mon Sep 27 21:56:25 2010 +0200
Build infrastructure
Makefile.am | 6 ++++++
autogen.sh | 24 ++++++++++++++++++++++++
configure.ac | 11 +++++++++++
3 files changed, 41 insertions(+), 0 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..2d03dc6
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,6 @@
+SUBDIRS = help
+
+EXTRA_DIST = gnome-doc-utils.make
+DISTCLEANFILE = gnome-doc-utils.make
+DISTCHECK_CONFIGURE_FLAGS = --disable-scrollkeeper
+
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..7dfb620
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="release-notes"
+
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/help) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME SVN"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.6
+export REQUIRED_AUTOMAKE_VERSION
+
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..d0c12f8
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,11 @@
+AC_INIT([release-notes],[2.32])
+
+AM_INIT_AUTOMAKE([foreign])
+AM_MAINTAINER_MODE
+
+GNOME_DOC_INIT
+
+AC_OUTPUT([
+Makefile
+help/Makefile
+])
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]